Returns document field information for a country mandate, a selected document type, and its version
Access control: this endpoint is available to users with the
everyonerole.
This endpoint provides document field details and the optionality of fields (required, conditional, optional) of different documents supported by the country mandate. Use the GET /mandates endpoint to retrieve all available country mandates, their supported document types and supported versions. You can use the documentType and documentVersion query parameters to retrieve the input fields for a particular document type and document version.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Unique identifier of the mandate returned by the GET /mandates endpoint.
Headers
Header that specifies the API version to use (for example “1.6”).
Optional header for a client identifier string used for diagnostics (for example “Fingerprint”).
Query parameters
Select the documentType for which you wish to view the data-input-fields (You may obtain the supported documentTypes from the GET /mandates endpoint)
Select the document version of the documentType (You may obtain the supported documentVersion from the GET /mandates endpoint)
Response
Determines if the field if Required/Conditional/Optional or not required.

